# AirportFTAClass Struct Reference

Finite sTate mAchine --> FTA. More...

`#include <airport.h>`

## Public Types
enum | Flags { AIRPLANES = 0x1, HELICOPTERS = 0x2, ALL = AIRPLANES | HELICOPTERS, SHORT_STRIP = 0x4 }
## Public Member Functions
| AirportFTAClass (const AirportMovingData *moving_data, const byte *terminals, const byte *helipads, const byte *entry_points, Flags flags, const AirportFTAbuildup *apFA, const TileIndexDiffC *depots, byte nof_depots, uint size_x, uint size_y, uint8 noise_level, byte delta_z, byte catchment)
const AirportMovingData * | MovingData (byte position) const
## Data Fields
const AirportMovingData * | moving_data
struct AirportFTA * | layout
| state machine for airport
const byte * | terminals
const byte * | helipads
const TileIndexDiffC * | airport_depots
| gives the position of the depots on the airports
Flags | flags
byte | nof_depots
| number of depots this airport has
byte | nofelements
| number of positions the airport consists of
const byte * | entry_points
| when an airplane arrives at this airport, enter it at position entry_point, index depends on direction
byte | size_x
byte | size_y
uint8 | noise_level
| noise that this airport generates
byte | delta_z
| Z adjustment for helicopter pads.
byte | catchment

## Detailed Description

Finite sTate mAchine --> FTA.

Definition at line 128 of file airport.h.

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp